org.apache.lucene.queries.function.valuesource

## Class SingleFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.SingleFunction

Direct Known Subclasses:
  SimpleFloatFunction

    public abstract class SingleFunction
    extends ValueSource

A function with a single argument

### Field Summary

Fields
`protected ValueSource` `source`

### Constructor Summary

Constructors
Constructor and Description
`SingleFunction(ValueSource source)`

### Method Summary

Methods
`void` `createWeight(Map context, IndexSearcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context.
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`int` `hashCode()`
`protected abstract String` `name()`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`getSortField, getValues, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### source

    protected final ValueSource source

### Constructor Detail

#### SingleFunction

    public SingleFunction(ValueSource source)

### Method Detail

#### name

    protected abstract String name()

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Specified by:
  `description` in class `ValueSource`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ValueSource`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in class `ValueSource`

#### createWeight

    public void createWeight(Map context,
                    IndexSearcher searcher)
                      throws IOException

Description copied from class: `ValueSource`
Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context. The context object will be passed to getValues() where this info can be retrieved.

Overrides:
  `createWeight` in class `ValueSource`
Throws:
  `IOException`